Bug 244315 - xchm displays raw HTML content
xchm displays raw HTML content
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xchm (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-14 18:26 EDT by bastiaan
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:35:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bastiaan 2007-06-14 18:26:19 EDT
Description of problem:
xchm displays raw HTML in the content pane rather than rendering it.

Version-Release number of selected component (if applicable):
xchm-1.10-2.fc7

How reproducible:
Always (haven't found a chm that it does display correctly)

Steps to Reproduce:
1. xchm somedocment.chm

  
Actual results:
Content pane shows
<html> <META http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<head> 
etc.

Expected results:
A nicely rendered document

Additional info:
FC6 was fine.
Comment 1 Patrice Dumas 2007-06-16 20:43:59 EDT
On devel I cannot reproduce that. One possibility could 
be a bug in wxGTK in the html renderer component, but I 
doubt this is a xchm bug.
Comment 2 Patrice Dumas 2007-11-28 17:20:24 EST
Is this still an issue? I don't know about another package 
that would also use the html wxgtk widget. That would help
to know whether it is linked with xchm or wxgtk.
Comment 3 Brian Powell 2008-04-25 00:09:55 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.
Comment 4 Patrice Dumas 2008-04-25 03:20:49 EDT
I don't really like having reports closed like that, but I have to
admit that there wasn't a lot of answers by reporter.

One thing the reporter could do is install poedit, and click on 
Help->Contents
and see if there are issue in the poedit help reader which seems
to be based on the same html wxgtk widget.

Resetting to NEEDINFO. If it is automatically closed in a month I 
won't reopen it, since it would mean that the reporter doesn't 
seems to care.
Comment 5 Bug Zapper 2008-05-14 09:05:41 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 21:35:44 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.